karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jamie G." <jamie.goody...@gmail.com>
Subject Re: Warning : persistence contexts may not work correctly until a new JTA Transaction services implementation is available Open chat
Date Fri, 20 Jun 2014 13:19:39 GMT
There were some issues with JPA/JTA on Karaf 3.0.0, please try with 3.0.1.

Cheers,
Jamie

On Fri, Jun 20, 2014 at 10:19 AM, Shalin LK <shalinlk@hifx.co.in> wrote:
> Hey all,
>
> I am working around Karaf with open JPA. Here is the system details:
> Karaf : 3.0.0
> OS : Ubuntu 12.04
> JVM : 1.7.0
>
> I am getting a warning of this kind :
>
> The TransactionSynchronizationRegistry used to manage persistence contexts
> is no longer available. Managed persistence contexts will no longer be able
> to integrate with JTA transactions, and will behave as if no there is no
> transaction context at all times until a new TransactionSynchronizationRegistry
> is available. Applications using managed persistence contexts may not work
> correctly until a new JTA Transaction services implementation is available
>
> Can anyone suggest a solution please?
> --
> Thanks & regards,
>
> SHALIN LK
> Java Developer
>
> *HiFX IT And Media Services*Mob:8893845354

Mime
View raw message